"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
const getSize = require("../../core/utils/get-size/get-size.cjs");
const createVarsResolver = require("../../core/styles-api/create-vars-resolver/create-vars-resolver.cjs");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const useStyles = require("../../core/styles-api/use-styles/use-styles.cjs");
const Box = require("../../core/Box/Box.cjs");
const factory = require("../../core/factory/factory.cjs");
const Container_module_css = require("./Container.module.css.cjs");
const defaultProps = {};
const varsResolver = createVarsResolver.createVarsResolver((_, { size, fluid }) => ({
  root: {
    "--container-size": fluid ? void 0 : getSize.getSize(size, "container-size")
  }
}));
const Container = factory.factory((_props, ref) => {
  const props = useProps.useProps("Container", defaultProps, _props);
  const { classNames, className, style, styles, unstyled, vars, fluid, mod, ...others } = props;
  const getStyles = useStyles.useStyles({
    name: "Container",
    classes: Container_module_css.default,
    props,
    className,
    style,
    classNames,
    styles,
    unstyled,
    vars,
    varsResolver
  });
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, mod: [{ fluid }, mod], ...getStyles("root"), ...others });
});
Container.classes = Container_module_css.default;
Container.displayName = "@mantine/core/Container";
exports.Container = Container;
